Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		freealut
Version:	1.1.0
Release:	1
Provides:	%{name}
License:	GNU/LGPL 
URL:		http://www.openal.org
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
#Patch0:		openal-gcc-4.x.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	opensource implementation of the ALUT standard
BuildRequires:	openal-devel
BuildRequires:  glibc-devel

%description
Freealut is a free implementation of the OpenAL Utility Toolkit
(ALUT). 

It is well suited to producing succinct demo programs and to help
new developers to get started with OpenAL without distractions
such as loading sound samples from disk.

For more details see: http://www.openal.org

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%preun
#if [ "$1" = 0 ]; then
#/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
#fi

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%build
./configure --prefix=%_prefix \
--bindir=%_bindir \
--libdir=%_libdir \
--includedir=%_includedir \
--enable-optimization \
--enable-alsa \
--enable-arts \
--enable-esd \
--enable-waveout \
--enable-null \
--enable-sdl \
--enable-vorbis \
--enable-smpeg \
--enable-capture
make

%install
rm -Rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_bindir
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Initial Release
